commit 581ef8f627249c75074d9be985c3fe81c5b48182
Author: Marek Polacek <polacek@redhat.com>
Date:   Thu Nov 4 01:39:32 2021

    testsuite: Fix g++.dg/opt/pr102970.C
    
    This test uses a generic lambda, only available since C++14, so don't
    run it in earlier modes.
    
    gcc/testsuite/ChangeLog:
    
            * g++.dg/opt/pr102970.C: Only run in C++14 and up.
    
    (cherry picked from commit cd389e5f9447d21084abff5d4b7db6cf1da74e57)

diff --git a/gcc/testsuite/g++.dg/opt/pr102970.C b/gcc/testsuite/g++.dg/opt/pr102970.C
index cf5b0ed70b4..2acb3c2c8dc 100644
--- a/gcc/testsuite/g++.dg/opt/pr102970.C
+++ b/gcc/testsuite/g++.dg/opt/pr102970.C
@@ -1,5 +1,5 @@
 // { dg-do run }
-// { dg-require-effective-target c++11 }
+// { dg-require-effective-target c++14 }
 // { dg-options "-O2 -funroll-loops -fno-tree-vectorize" }
 
 #include <vector>

